<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<%@ include file="/webpage/include/bootstraptable.jsp"%>
<!DOCTYPE html>
<html>
<head>
    <title>工程管理</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge chrome=1">
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/layui/css/layui.css">
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/common.css"/>
    <link rel="stylesheet" href="${ctxp}/static/plugin/assets/vermeit.css">
    <script type="text/javascript" src="${ctxp}/static/plugin/assets/jquery-3.2.1.min.js"></script>
    <script src="${ctxp}/static/plugin/assets/layui/layui.js"></script>
</head>
<style>
    .layui-input{height: 28px;margin-top: 5px;width: 260px;line-height: 28px}
    .input-meself-time{font-size: 13px;width: 140px;}
    .btn_out{ width: 100px;margin: 0;float: right; margin-right:2%;}
    .div_main_form{width: 50%;margin-left: 10px;}
    .layui-icon-layer{display: none;}
    .layui-icon-file{display: none;}
    .layui-table-view .layui-table {width:100%}
    .layui-table-tips-main{display:none}
    .layui-table-tips-c{display:none}
    .layui-table-cell {height: inherit;}
</style>
<body style="height: 100%;line-height: 100%">
<input style="display: none;" id="addtext" value=""/>
<div class="layui-main-bgc">
    <sys:message content="${message}"/>
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header layui-card-header-add">工程管理</div>
                <div class="layui-card-body" id="noneDiv" style="display: none">
                   <div class="layui-meself-bgc">
                       <form class="layui-form" action="${ctx}/project/list" style="margin-top: 10px;" method="post" id="fromSumbit">
                           <input id="pageNo" name="pageNo" type="hidden" value=""/>
                           <input id="pageSize" name="pageSize" type="hidden" value=""/>
                           <div class="layui-form-item">
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">工程名称:</label>
                                       <input type="text" name="projectName"  autocomplete="off" class="layui-input">
                                   </div>

                               </div>
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">登记人:</label>
                                       <input type="text" name="creator"  autocomplete="off" class="layui-input">
                                   </div>
                               </div>
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                       <label class="layui-font-style">工程登记时间:</label>
                                       <table>
                                           <tbody>
                                           <tr>
                                               <td> <input type="text" name="projectStartDate" id="beginDate1"  placeholder="开始时间" autocomplete="off" class="layui-input input-meself-time"></td>
                                               <td>~</td>
                                               <td> <input type="text" name="projectEndDate" id="endDate1"  placeholder="结束时间" autocomplete="off" class="layui-input input-meself-time"></td>
                                           </tr>
                                           </tbody>
                                       </table>
                                   </div>
                               </div>
                           </div>
                           <div class="layui-form-item">
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">结算书名称:</label>
                                       <input type="text" name="itemName"  autocomplete="off" class="layui-input">
                                   </div>
                               </div>
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">结算书划分:</label>
                                       <input type="text" name="type"  autocomplete="off" class="layui-input">
                                   </div>
                               </div>
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">供应商:</label>
                                       <input type="text" name="unit"  autocomplete="off" class="layui-input">
                                   </div>
                               </div>
                           </div>
                           <div class="layui-form-item">
                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4" style="margin-left: 20px">
                                   <label class="layui-font-style">结算书登记时间:</label>
                                       <table>
                                           <tbody>
                                           <tr>
                                               <td><input type="text" name="itemStartDate" id="beginDate2"  placeholder="开始时间" autocomplete="off" class="layui-input input-meself-time"></td>
                                               <td>~</td>
                                               <td> <input type="text" name="itemEndDate" id="endDate2"  placeholder="结束时间" autocomplete="off" class="layui-input input-meself-time"></td>
                                           </tr>
                                           </tbody>
                                       </table>
                                   </div>
                               </div>

                               <div class="layui-inline">
                                   <div class="col-xs-12 col-sm-6 col-md-4 layui-mesl-mit">
                                    <button class="layui-btn layui-btn-primary layui-btn-radius " lay-submit="" lay-filter="mybtnsubmit">查询</button>
                                    <button type="reset" class="layui-btn layui-btn-primary layui-btn-radius " style="margin-left: 1px">重置</button>
                                    </div>
                               </div>
                           </div>
                       </form>
                   </div>
                </div>
                <div class="layui-card-body">
                    <div class="" style="margin-left: 10px;margin-right: 10px;margin-top: 10px;">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-normal layui-btn-meself"  onclick="addProject()"><i class="layui-icon"></i>新建</button>
                            <button type="button" class="layui-btn layui-btn-primary layui-btn-meself"  onclick="refresh()"><img class="layui-meself-img1" src="${ctxp}/icon/refush.png" alt="">&nbsp;刷新</button>
                        </div>
                        <div class="layui-btn-group" style="float: right;margin-right: 10px;border: 1px solid rgb(204,204,204)">
                            <button type="button" class="layui-btn layui-btn-primary layui-btn-sm" id="noneBtn"><img class="layui-meself-img" src="${ctxp}/icon/solr.png" alt=""></button>
                        </div>
                        <table id="table1" class="layui-table" lay-filter="table1"></table>
                        <div id="page"><div>
                    </div>
                </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<%@include file="management.js"%>
<script>
    layui.use(['laypage', 'layer'], function(){
        var laypage = layui.laypage
            ,layer = layui.layer;
        //自定义排版
        laypage.render({
            elem: 'page'
            ,count: ${page.count}
            ,limit:${page.pageSize}
            ,curr:${page.pageNo}
            ,layout: ['limit', 'prev', 'page', 'next']
            ,jump: function(obj, first){
                //首次不执行
                if(!first){
                    $("#pageNo").val(obj.curr);
                    $("#pageSize").val(obj.limit);
                    $("#fromSumbit").submit();
                }
            }
        });
    });
</script>
</html>
